Your submission was sent successfully! Close

CVE-2022-31813

Published: 9 June 2022

Apache HTTP Server 2.4.53 and earlier may not send the X-Forwarded-* headers to the origin server based on client side Connection header hop-by-hop mechanism. This may be used to bypass IP based authentication on the origin server/application.

Priority

Medium

CVSS 3 base score: 9.8

Status

Package Release Status
apache2
Launchpad, Ubuntu, Debian
bionic
Released (2.4.29-1ubuntu4.24)
focal
Released (2.4.41-4ubuntu3.12)
impish
Released (2.4.48-3.1ubuntu3.5)
jammy
Released (2.4.52-1ubuntu4.1)
trusty
Released (2.4.7-1ubuntu4.22+esm8)
upstream
Released (2.4.54-1)
xenial
Released (2.4.18-2ubuntu3.17+esm6)
Patches:
upstream: https://github.com/apache/httpd/commit/956f708b094698ac9ad570d640d4f30eb0df7305